diff --git a/doc/src/sgml/logicaldecoding.sgml b/doc/src/sgml/logicaldecoding.sgml
index e1cc5c2..5724a6c 100644
--- a/doc/src/sgml/logicaldecoding.sgml
+++ b/doc/src/sgml/logicaldecoding.sgml
@@ -754,10 +754,11 @@ OutputPluginWrite(ctx, true);
 
     <para>
      In synchronous replication setup, a deadlock can happen, if the transaction
-     has locked [user] catalog tables exclusively. This is because logical decoding of
-     transactions can lock catalog tables to access them. To avoid this users
-     must refrain from taking an exclusive lock on [user] catalog tables. This can
-     happen in the following ways:
+     has locked [user] catalog tables exclusively.
+     (See <xref linkend="logicaldecoding-capabilities"/> also for more information.)
+     This is because logical decoding of transactions can lock catalog tables to
+     access them. To avoid this users must refrain from taking an exclusive lock
+     on [user] catalog tables. This can happen in the following ways:
 
      <itemizedlist>
       <listitem>
@@ -769,8 +770,8 @@ OutputPluginWrite(ctx, true);
 
       <listitem>
        <para>
-        Perform <command>CLUSTER</command> on  <structname>pg_class</structname> in a
-        transaction.
+        Perform <command>CLUSTER</command> on <structname>pg_class</structname> (or any
+        other [user] catalog table) in a transaction.
        </para>
       </listitem>
 
